<?xml version = "1.0" encoding = "utf-8" ?>
<problem
	version = "1.0"
	id = "qual.2025.main.out-of-bounds-piano"
>
	<judging>
		<script type = "%icpc">
			<testset
				input-name = "*"
				output-name = "*"
				input-href = "tests/##"
				answer-href = "tests/##.a"
				time-limit = "1.0s"
				memory-limit = "1073741824"
				test-count = "46"
			>
			</testset>
			<verifier type = "%testlib">
				<binary executable-id = "x86.exe.win32" file = "check.exe" />
			</verifier>
		</script>
		<script type = "%ioi">
			<testset
				name = "preliminary"
				input-name = "*"
				output-name = "*"
				input-href = "tests/##"
				answer-href = "tests/##.a"
				time-limit = "1.0s"
				memory-limit = "1073741824"
			>
				<test comment = "manual cmd: ''" />
			</testset>
			<testset
				name = "main"
				feedback = "outcome"
				input-name = "*"
				output-name = "*"
				input-href = "tests/##"
				answer-href = "tests/##.a"
				time-limit = "1.0s"
				memory-limit = "1073741824"
			>
				<test points = "0" comment = "manual cmd: ''" />
				<test points = "0" comment = "generated cmd: 'out-of-bounds-piano_generate_mi -type=random -t=1 -max_s=2'" />
				<test points = "0" comment = "generated cmd: 'out-of-bounds-piano_generate_mi -type=random -t=1 -max_s=20'" />
				<test points = "0" comment = "generated cmd: 'out-of-bounds-piano_generate_mi -type=random -t=10 -max_s=20'" />
				<test points = "0" comment = "generated cmd: 'out-of-bounds-piano_generate_mi -type=random -t=1 -max_s=200'" />
				<test points = "0" comment = "generated cmd: 'out-of-bounds-piano_generate_mi -type=random -t=10 -max_s=200'" />
				<test points = "0" comment = "generated cmd: 'out-of-bounds-piano_generate_mi -type=random -t=100 -max_s=200'" />
				<test points = "0" comment = "generated cmd: 'out-of-bounds-piano_generate_mi -type=random -t=1 -max_s=2000'" />
				<test points = "0" comment = "generated cmd: 'out-of-bounds-piano_generate_mi -type=random -t=10 -max_s=2000'" />
				<test points = "0" comment = "generated cmd: 'out-of-bounds-piano_generate_mi -type=random -t=100 -max_s=2000'" />
				<test points = "0" comment = "generated cmd: 'out-of-bounds-piano_generate_mi -type=random -t=1000 -max_s=2000'" />
				<test points = "0" comment = "generated cmd: 'out-of-bounds-piano_generate_mi -type=random -t=1 -max_s=20000'" />
				<test points = "0" comment = "generated cmd: 'out-of-bounds-piano_generate_mi -type=random -t=10 -max_s=20000'" />
				<test points = "0" comment = "generated cmd: 'out-of-bounds-piano_generate_mi -type=random -t=100 -max_s=20000'" />
				<test points = "0" comment = "generated cmd: 'out-of-bounds-piano_generate_mi -type=random -t=1000 -max_s=20000'" />
				<test points = "0" comment = "generated cmd: 'out-of-bounds-piano_generate_mi -type=random -t=10000 -max_s=20000'" />
				<test points = "0" comment = "generated cmd: 'out-of-bounds-piano_generate_mi -type=random -t=1 -max_s=200000'" />
				<test points = "0" comment = "generated cmd: 'out-of-bounds-piano_generate_mi -type=random -t=10 -max_s=200000'" />
				<test points = "0" comment = "generated cmd: 'out-of-bounds-piano_generate_mi -type=random -t=100 -max_s=200000'" />
				<test points = "0" comment = "generated cmd: 'out-of-bounds-piano_generate_mi -type=random -t=1000 -max_s=200000'" />
				<test points = "0" comment = "generated cmd: 'out-of-bounds-piano_generate_mi -type=random -t=10000 -max_s=200000'" />
				<test points = "0" comment = "generated cmd: 'out-of-bounds-piano_generate_mi -type=smallest -t=10000 -max_s=200000'" />
				<test points = "0" comment = "generated cmd: 'out-of-bounds-piano_generate_mi -type=random -t=101 -max_s=200000'" />
				<test points = "0" comment = "generated cmd: 'out-of-bounds-piano_generate_mi -type=random -t=122 -max_s=200000'" />
				<test points = "0" comment = "generated cmd: 'out-of-bounds-piano_generate_mi -type=random -t=147 -max_s=200000'" />
				<test points = "0" comment = "generated cmd: 'out-of-bounds-piano_generate_mi -type=random -t=177 -max_s=200000'" />
				<test points = "0" comment = "generated cmd: 'out-of-bounds-piano_generate_mi -type=random -t=213 -max_s=200000'" />
				<test points = "0" comment = "generated cmd: 'out-of-bounds-piano_generate_mi -type=random -t=256 -max_s=200000'" />
				<test points = "0" comment = "generated cmd: 'out-of-bounds-piano_generate_mi -type=random -t=308 -max_s=200000'" />
				<test points = "0" comment = "generated cmd: 'out-of-bounds-piano_generate_mi -type=random -t=370 -max_s=200000'" />
				<test points = "0" comment = "generated cmd: 'out-of-bounds-piano_generate_mi -type=random -t=444 -max_s=200000'" />
				<test points = "0" comment = "generated cmd: 'out-of-bounds-piano_generate_mi -type=random -t=533 -max_s=200000'" />
				<test points = "0" comment = "generated cmd: 'out-of-bounds-piano_generate_mi -type=random -t=640 -max_s=200000'" />
				<test points = "0" comment = "generated cmd: 'out-of-bounds-piano_generate_mi -type=random -t=768 -max_s=200000'" />
				<test points = "0" comment = "generated cmd: 'out-of-bounds-piano_generate_mi -type=random -t=922 -max_s=200000'" />
				<test points = "0" comment = "generated cmd: 'out-of-bounds-piano_generate_mi -type=random -t=1107 -max_s=200000'" />
				<test points = "0" comment = "generated cmd: 'out-of-bounds-piano_generate_mi -type=random -t=1329 -max_s=200000'" />
				<test points = "0" comment = "generated cmd: 'out-of-bounds-piano_generate_mi -type=random -t=1595 -max_s=200000'" />
				<test points = "0" comment = "generated cmd: 'out-of-bounds-piano_generate_mi -type=random -t=1914 -max_s=200000'" />
				<test points = "0" comment = "generated cmd: 'out-of-bounds-piano_generate_mi -type=random -t=2297 -max_s=200000'" />
				<test points = "0" comment = "generated cmd: 'out-of-bounds-piano_generate_mi -type=random -t=2757 -max_s=200000'" />
				<test points = "0" comment = "generated cmd: 'out-of-bounds-piano_generate_mi -type=random -t=3309 -max_s=200000'" />
				<test points = "0" comment = "generated cmd: 'out-of-bounds-piano_generate_mi -type=random -t=3971 -max_s=200000'" />
				<test points = "0" comment = "generated cmd: 'out-of-bounds-piano_generate_mi -type=random -t=4766 -max_s=200000'" />
				<test points = "0" comment = "generated cmd: 'out-of-bounds-piano_generate_mi -type=random -t=5720 -max_s=200000'" />
				<test points = "0" comment = "generated cmd: 'out-of-bounds-piano_generate_mi -type=random -t=6864 -max_s=200000'" />
			</testset>
			<verifier type = "%testlib">
				<binary executable-id = "x86.exe.win32" file = "check.exe" />
			</verifier>
		</script>
	</judging>
</problem>
